RSBag - Enhancement #758
Refactor bag-cat to use same output mechanism as logger
12/09/2011 04:58 PM - J. Moringen

Status: Resolved Start date: 12/09/2011
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.6

Description

There are two reasons for wanting this:
- Avoids code duplication
- Some of the output modes of the logger may be useful in bag-cat and vice-versa

Related issues:
Related to RSBag - Feature # 733: Configurable output for bag-cat Resolved 11/24/2011

Associated revisions

Revision 43cbd043 - 12/11/2011 03:37 AM - J. Moringen
Use cl-rsb-formatting in bag-cat tools
fixes #758
- cl-rsbag-tools-cat.asd (system connection cl-rsbag-tools-cat): added
system dependency on cl-rsb-formatting system
- bag-cat/package.lisp (package rsbag.tools.cat): added used package
rsb.formatting
- bag-cat/main.lisp (output): removed; output mechanism form
cl-rsb-formatting is used
(output simple-array stream): likewise
(output string stream): likewise
(output event stream): likewise
(make-examples-string): added example for style option
(update-synopsis): removed entry-separator option; added style
option
(main): added processing of style option and use “format-event' from

cl-rsb-formatting system

History

#1 - 12/11/2011 03:37 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 30 to 100

Applied in changeset r248.
